# Metric Records Catalogue

This endpoint lists all available record IDs that can be used to fetch data in Get Metric Records Data

Endpoint: GET /v1/analytics/records
Version: v1
Security: ApiKeyAuth

## Query parameters:

  - `pageLimit` (integer)
    Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

  - `pageKey` (string)
    Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (string, required)
    The record ID

  - `data.description` (string, required)
    Relevant information about the record

  - `data.filters` (array)
    List of available filters that can be used when fetching record data

  - `data.filters.filterAttribute` (string, required)

  - `data.filters.description` (string)

  - `data.relatedMetricIds` (array)
    List of metric IDs that make use of this record

  - `data.fieldsMetadata` (array)
    Information about the individual record fields

  - `data.fieldsMetadata.field` (string, required)

  - `data.fieldsMetadata.description` (string, required)

  - `data.fieldsMetadata.nullable` (boolean, required)

  - `meta` (object)

  - `meta.previous` (string)
    url

  - `meta.next` (string)
    url

## Response 400 fields (application/json):

  - `message` (string, required)

## Response 500 fields (application/json):

  - `message` (string, required)

